### Method

# Ide OmniBar add_button

#### Declaration

    void
    ide_omni_bar_add_button (
      IdeOmniBar* self,
      GtkWidget* widget,
      GtkPackType pack_type,
      gint priority
    )

#### Description

No description available.

#### Parameters

`widget` | `GtkWidget`
| No description available.
| The data is owned by the caller of the function.
`pack_type` | `GtkPackType`
| No description available.
`priority` | `gint`
| No description available.